<?php

/**
 * Get a value for parameter in the POST array.
 * @param string $paramName Name of the parameter.
 * @return string|null Trimmed value, or null if not found.
 */
function getParamFromPost(string $paramName) {
    $returnValue = null;
    if (isset($_POST[$paramName])) {
        $returnValue = $_POST[$paramName];
        if (is_string($returnValue)) {
            $value = trim($returnValue);
        }
        $returnValue = trim($_POST[$paramName]);
        if ($returnValue == '') {
            $returnValue = null;
        }
    }
    return $returnValue;
}

/**
 * @param string $userInput User input to check.
 * @return string Error message, MT if data is OK.
 */
function checkBestAnimal($userInput) {
    $errorMessage = '';
    if (is_null($userInput)) {
        $errorMessage = 'Sorry, you must enter your fave animal.';
    }
    if ($errorMessage == '') {
        if (is_numeric($userInput)) {
            $errorMessage = "Sorry, you can't enter numbers.";
        }
    }
    return $errorMessage;
}